<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/content_main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/app_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="0dp"
        app:elevation="0dp"
        app:layout_constraintTop_toTopOf="parent">


        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="?attr/colorPrimary"
            android:contentInsetStart="0dp"
            android:contentInsetLeft="0dp"
            android:elevation="0dp"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:layout_scrollFlags="scroll|enterAlways"
            app:navigationIcon="@drawable/ic_round_arrow_back"
            app:title="@string/add_new_user"
            app:titleTextColor="@color/colorTextDark">


            <com.google.android.material.floatingactionbutton.FloatingActionButton
                android:id="@+id/button_on_back_pressed"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:backgroundTint="@color/colorBackground"
                app:borderWidth="0dp"
                app:elevation="0dp"
                app:fabSize="normal"
                app:maxImageSize="@dimen/size_icon_in_toolbar"
                app:rippleColor="@color/colorAccent"
                app:tint="@color/colorAccent" />


        </com.google.android.material.appbar.MaterialToolbar>


    </com.google.android.material.appbar.AppBarLayout>

    <androidx.appcompat.widget.SearchView
        android:id="@+id/search_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/size_search_height"
        android:layout_margin="@dimen/standard_margin"
        android:background="@drawable/search_drawable"
        android:paddingStart="-10dp"
        android:paddingLeft="-10dp"
        android:textColor="@color/colorTextLight"
        android:textSize="@dimen/text_size_large"
        app:closeIcon="@drawable/ic_close"
        app:iconifiedByDefault="false"
        app:layout_constraintBottom_toTopOf="@id/recycler_view"
        app:layout_constraintTop_toBottomOf="@id/app_bar"
        app:queryBackground="@color/colorSearchBackground"
        app:queryHint="@string/search"
        app:searchHintIcon="@color/colorTextLight"
        app:searchIcon="@drawable/ic_search_grey">

        <requestFocus />

    </androidx.appcompat.widget.SearchView>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:clipToPadding="false"
        android:paddingBottom="@dimen/size_bottom_bar"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/search_view" />

</androidx.constraintlayout.widget.ConstraintLayout>